package cn.yw.machinemanage.bean;

import cn.base.bean.BaseBean;
//[运维服务器硬盘信息表]

public class YwmachineharddiskBean extends BaseBean implements java.io.Serializable {
	private String harddiskid;//[序号]
	private String machineid;//[机器id]
	private String harddisknum;//[硬盘编号]
	private String harddiskbrand;//[硬盘品牌]
	private String harddiskbrandtype;//[硬盘型号]
	private String harddiskdrive;//[盘符]
	private String storagecapacity;//[存储容量(G)]
	private String alarmunderlevel;//[报警下水位]
	private String alarmupperlevel;//[报警上水位]
	private String currentusage;//[当前使用率]
	private String currentusageuptime;//[状态上报时间]
	private int detectionswitch;//[检测开关]
	private String detectionstarttime;//[检测开始时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setHarddiskid(String harddiskid){
		this.harddiskid = harddiskid;
	}
	public String getHarddiskid(){
		return harddiskid;
	}
	public void setMachineid(String machineid){
		this.machineid = machineid;
	}
	public String getMachineid(){
		return machineid;
	}
	public void setHarddisknum(String harddisknum){
		this.harddisknum = harddisknum;
	}
	public String getHarddisknum(){
		return harddisknum;
	}
	public void setHarddiskbrand(String harddiskbrand){
		this.harddiskbrand = harddiskbrand;
	}
	public String getHarddiskbrand(){
		return harddiskbrand;
	}
	public void setHarddiskbrandtype(String harddiskbrandtype){
		this.harddiskbrandtype = harddiskbrandtype;
	}
	public String getHarddiskbrandtype(){
		return harddiskbrandtype;
	}
	public void setHarddiskdrive(String harddiskdrive){
		this.harddiskdrive = harddiskdrive;
	}
	public String getHarddiskdrive(){
		return harddiskdrive;
	}
	public void setStoragecapacity(String storagecapacity){
		this.storagecapacity = storagecapacity;
	}
	public String getStoragecapacity(){
		return storagecapacity;
	}
	public void setAlarmunderlevel(String alarmunderlevel){
		this.alarmunderlevel = alarmunderlevel;
	}
	public String getAlarmunderlevel(){
		return alarmunderlevel;
	}
	public void setAlarmupperlevel(String alarmupperlevel){
		this.alarmupperlevel = alarmupperlevel;
	}
	public String getAlarmupperlevel(){
		return alarmupperlevel;
	}
	public void setCurrentusage(String currentusage){
		this.currentusage = currentusage;
	}
	public String getCurrentusage(){
		return currentusage;
	}
	public void setCurrentusageuptime(String currentusageuptime){
		this.currentusageuptime = currentusageuptime;
	}
	public String getCurrentusageuptime(){
		return currentusageuptime;
	}
	public void setDetectionswitch(int detectionswitch){
		this.detectionswitch = detectionswitch;
	}
	public int getDetectionswitch(){
		return detectionswitch;
	}
	public void setDetectionstarttime(String detectionstarttime){
		this.detectionstarttime = detectionstarttime;
	}
	public String getDetectionstarttime(){
		return detectionstarttime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}